function floreign:check_tool
function floreign:bug_pathfind
execute as @e[type=minecraft:armor_stand,tag=plant] at @s run particle minecraft:soul_fire_flame ~ ~ ~ 0 0 0 0 1 normal @a[tag=admin]

#Item Protection
#execute as @e[type=item] run data modify entity @s PickupDelay set value 0
execute as @e[type=item,nbt={Age:100s}] run data modify entity @s Age set value 300s
execute as @e[type=item,nbt={Age:10s}] run data modify entity @s Age set value 300s
execute as @e[type=item,nbt={Age:1s}] run data modify entity @s Age set value 300s
execute as @e[type=item,nbt={Item:{id:"minecraft:green_carpet"}}] run data merge entity @s {Item:{tag:{display:{Name:"{\"text\":\"Moss Patch\"}"}}}}

#Block Protection
execute if block -524 33 -484 minecraft:dark_oak_trapdoor[open=false] run setblock -524 33 -484 minecraft:dark_oak_trapdoor[open=true,facing=east]
execute if block -525 33 -485 minecraft:dark_oak_trapdoor[open=false] run setblock -525 33 -485 minecraft:dark_oak_trapdoor[open=true]

#Item Protection again
execute as @e[type=item] run data modify entity @s Invulnerable set value 1
execute as @e[type=item] at @s if block ~ ~ ~ minecraft:lava run tp @s ~ ~0.05 ~
effect give @e[type=minecraft:bee] minecraft:regeneration 10 255 true

#bossbars
bossbar set floreign:objective players @a
execute if score #game in_game matches 0 run bossbar set floreign:objective visible false
execute if score #game in_game matches 1 run bossbar set floreign:objective visible true

execute if score #objective objective matches 0 run bossbar set floreign:objective value 0
execute if score #objective objective matches 1 run bossbar set floreign:objective value 1
execute if score #objective objective matches 2 run bossbar set floreign:objective value 2
execute if score #objective objective matches 3 run bossbar set floreign:objective value 3
execute if score #objective objective matches 4 run bossbar set floreign:objective value 4
execute if score #objective objective matches 5 run bossbar set floreign:objective value 5
execute if score #objective objective matches 6 run bossbar set floreign:objective value 6
execute if score #objective objective matches 7 run bossbar set floreign:objective value 7
#Specimen detection

execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:1b}}] run scoreboard players set #objective objective 1
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:2b}}] run scoreboard players set #objective objective 2
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:3b}}] run scoreboard players set #objective objective 3
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:4b}}] run scoreboard players set #objective objective 4
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:5b}}] run scoreboard players set #objective objective 5
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:6b}}] run scoreboard players set #objective objective 6
execute positioned -419 18 -468 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:7b}}] run scoreboard players set #objective objective 7

#finishing events
execute positioned -474 17 -485 as @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_ingot",Count:1b}}] if score #1 Comp_Tutorial matches 0 run function floreign:tutoral_finish
execute if score #objective objective matches 7 run function floreign:map_finish

#combo_lock
setblock -412 24 -458 minecraft:air
execute if block -420 23 -463 minecraft:lever[powered=true] if block -420 23 -462 minecraft:lever[powered=true] if block -420 23 -461 minecraft:lever[powered=true] if block -420 23 -460 minecraft:lever[powered=false] if block -420 23 -459 minecraft:lever[powered=false] if block -420 23 -458 minecraft:lever[powered=true] run setblock -412 24 -458 minecraft:redstone_block

#lobby
execute as @a[tag=!lobby] at @s run function floreign:lobby